> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settings

> Get all customer settings of the context

<sup>Required permissions: `customer-settings:read`</sup>



## OpenAPI

````yaml get /customers/{id}/settings/{context}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /customers/{id}/settings/{context}:
    parameters: []
    get:
      tags:
        - CustomerSettings
      summary: Get settings
      description: |-
        Get all customer settings of the context

        <sup>Required permissions: `customer-settings:read`</sup>
      operationId: getCustomerSettingsContext
      parameters:
        - name: id
          in: path
          description: Setting identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: context
          in: path
          description: Setting identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: The setting key
          content:
            application/json:
              example:
                settings:
                  key: value
                inheritance:
                  key: defaultValue|tenant|customer
              schema:
                type: object
                properties:
                  settings:
                    type: object
                    additionalProperties:
                      type: string
                  inheritance:
                    type: object
                    additionalProperties:
                      type: string
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - customer-settings:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /customers/{id}/settings/{context} \
             --header "Authorization: Bearer <token>"
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````